Package org.htmlunit.html

# Class DomNode.DescendantElementsIterator<T extends DomNode>

java.lang.Object
org.htmlunit.html.DomNode.DescendantElementsIterator<T>

Type Parameters:
  `T` - the type of nodes over which to iterate

All Implemented Interfaces:
  `Iterator<T>`

Enclosing class:
  `DomNode`

@Deprecated protected class DomNode.DescendantElementsIterator<T extends DomNode> extends Object implements Iterator<T>
Deprecated.
as of version 4.7.0; use `DomNode.DescendantDomNodesIterator`, `DomNode.DescendantDomElementsIterator`, or `DomNode.DescendantHtmlElementsIterator` instead.
Iterates over all descendants of a specific type, in document order.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DescendantElementsIterator(Class<T> type)`
  Deprecated.
  Creates a new instance which iterates over the specified node type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  Deprecated.
  `protected boolean`
  `isAccepted(DomNode node)`
  Deprecated.
  Indicates if the node is accepted.
  `T`
  `next()`
  Deprecated.
  `T`
  `nextNode()`
  Deprecated.
  `void`
  `remove()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### DescendantElementsIterator

    public DescendantElementsIterator(Class<T> type)
    Deprecated.
    Creates a new instance which iterates over the specified node type.
    Parameters:
      `type` - the type of nodes over which to iterate

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Deprecated.
    Specified by:
      `hasNext` in interface `Iterator<T extends DomNode>`

  - ### next

    public T next()
    Deprecated.
    Specified by:
      `next` in interface `Iterator<T extends DomNode>`

  - ### remove

    public void remove()
    Deprecated.
    Specified by:
      `remove` in interface `Iterator<T extends DomNode>`

  - ### nextNode

    public T nextNode()
    Deprecated.
    Returns:
      the next node, if there is one

  - ### isAccepted

    protected boolean isAccepted(DomNode node)
    Deprecated.
    Indicates if the node is accepted. If not it won't be explored at all.
    Parameters:
      `node` - the node to test
    Returns:
      `true` if accepted